Name: bs
Summary: Battleships against the computer (character-cell graphics)
Version: 2.8
Release: 1
URL: http://www.catb.org/~esr/bs/
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Games
BuildRoot: %{_tmppath}/%{name}-root
#Project-Tag-List: battleships, game, solitaire

%description
The classic game of Battleships against the computer.
Uses character-cell graphics with a visual point-and-shoot interface.
If you're using an xterm under Linux the mouse will work.

%prep
%setup

%build
make %{?_smp_mflags} bs bs.6

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"%{_bindir}
mkdir -p "$RPM_BUILD_ROOT"%{_mandir}/man6/
cp bs "$RPM_BUILD_ROOT"%{_bindir}
cp bs.6 "$RPM_BUILD_ROOT"%{_mandir}/man6/

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
%files
%defattr(-,root,root,-)
%{_mandir}/man6/bs.6*
%{_bindir}/bs
%doc README COPYING

%changelog
* Tue Oct 19 2010 Eric S. Raymond <esr@snark.thyrsus.com> 2.8-1
- Port to modern C.

* Mon Dec 29 2003 Eric S. Raymond <esr@snark.thyrsus.com> 2.7-1
- Source RPMS no longer depend on --define myversion.

* Fri Dec 26 2003 Eric S. Raymond <esr@snark.thyrsus.com> 2.6-1
- Fix a broken URL in the documentation

* Wed Dec 24 2003 Eric S. Raymond <esr@snark.thyrsus.com> 2.5-1
- Improved packaging.

 * v1.2 with color support and minor portability fixes, November 1990
 * v2.0 featuring strict ANSI/POSIX conformance, November 1993.
 * v2.1 with ncurses mouse support, September 1995
 * v2.2 code cleanup.
 * v2.3 bug fixes by Erik Sigra.
 * v2.4 Update the RPM production.
